Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.sitegraph.entities
Class FileBasedView

    java.lang.Object
      org.apache.struts2.sitegraph.entities.FileBasedView

All Implemented Interfaces:
  View

Direct Known Subclasses:
  FreeMarkerView, JspView, VelocityView

    public abstract class FileBasedView

extends java.lang.Object
implements View

Field Summary

Fields inherited from interface org.apache.struts2.sitegraph.entities.View
`TYPE_FTL, TYPE_JSP, TYPE_VM`

Constructor Summary
`FileBasedView(java.io.File file)`

Method Summary
`protected abstract java.util.regex.Pattern` | `getActionPattern()`
`protected abstract java.util.regex.Pattern` | `getFormPattern()`
`protected java.util.regex.Pattern` | `getLinkPattern()`
`java.lang.String` | `getName()` Name of view file
`java.util.Set` | `getTargets()` Returns Set of Commands linked to by this view
`protected java.lang.String` | `readFile(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBasedView

    public FileBasedView(java.io.File file)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `View`
  Name of view file

  Specified by:
    `getName` in interface `View`
  Returns:
    The name of the view file.

### getTargets

    public java.util.Set getTargets()

  Description copied from interface: `View`
  Returns Set of Commands linked to by this view

  Specified by:
    `getTargets` in interface `View`
  Returns:
    a set of Targets

### getLinkPattern

    protected java.util.regex.Pattern getLinkPattern()

### getActionPattern

    protected abstract java.util.regex.Pattern getActionPattern()

### getFormPattern

    protected abstract java.util.regex.Pattern getFormPattern()

### readFile

    protected java.lang.String readFile(java.io.File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.